Skip to content

Create a new organization for an IdP

POST
/api/v1/sso/organizations/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/sso/organizations/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"name": "idp-624178",
"sso_enabled": false
}'

For creating a new IdP organization in E2E Cloud, you must follow the sequence of steps below after calling this API:

  1. Create an Organization for the IdP.
  2. Create a Realm for the newly created Organization.
  3. Upload the Federation (IdP) Metadata XML file to the created Realm using the API: POST /myaccount/api/v1/sso/organizations/{organization_id}/realms/{realm_id}/identity-sources/saml/idp-metadata/
  4. Create SSO Clients for the created Realm and organization.
  5. Verify the client configurations and SSO setup.
  6. Enable SSO for the Organization once all configurations are verified using Update IdP API.
project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
name

Name of the SSO organization

string

Example

idp-624178
sso_enabled

Whether SSO is enabled for the organization

boolean

Example

false

Organization created successfully

Media typeapplication/json
object
id
string
ern
string
org_ref
string
name
string
email
string
nullable
domain
string
nullable
customer_id
string
status
string
sso_enabled
boolean
created_at
string format: date-time
updated_at
string format: date-time

Example

{
"id": "019a783b-8688-7578-a47a-25536922f02e",
"ern": "ern:e2e:organizations::master-account:organization/019a783b-8688-7578-a47a-25536922f02e",
"org_ref": 64058431970,
"name": "idp-624178",
"email": null,
"domain": null,
"customer_id": "1790",
"status": "ACTIVE",
"sso_enabled": false,
"created_at": "2025-11-12T13:22:38.346570Z",
"updated_at": "2025-11-12T13:22:38.346613Z"
}